<template>
<div>
    <div v-if="externos.length == 0">
        <v-layout align-start justify-center row fill-height wrap>
            <h3>No hay Movimientos</h3>
        </v-layout>
    </div>
    <!-- <div>
        <v-layout v-if="externos.length != 0" class="mt-2">
            <v-flex xs6><strong>Destino</strong></v-flex>
            <v-flex><strong>Paquete No.</strong></v-flex>
            <v-flex><strong>Borrar</strong></v-flex>
        </v-layout>
        <v-divider></v-divider>
    </div> -->
    <!-- <div v-for="(items) in externos" v-bind:key="items.id" :externos="externos">
        <v-layout class="mt-2">
            <v-flex xs6>
                <p>{{ items.consigned.name }}</p>
            </v-flex>
            <v-flex>
                <p>{{ items.paquetes }}</p>
            </v-flex>
            <v-flex>
                <v-icon @click="deleteAction(items)">delete</v-icon>
            </v-flex>
        </v-layout>
        <v-divider></v-divider>
    </div> -->

    <v-layout>
        <v-flex>
            <table class="v-table">
                <thead>
                    <th>Destino</th>
                    <th>Eliminar</th>
                </thead>
                <tbody>
                    <tr v-for="(items) in externos" v-bind:key="items.id" :externos="externos">
                        <td>{{ items.consigned.name }}
                            {{ items.paquetes }}
                            <v-divider></v-divider>
                        </td>
                        <td>
                            <v-btn @click="deleteAction(items)">
                                <v-icon>delete</v-icon>
                            </v-btn>
                        </td>
                    </tr>
                </tbody>
            </table>
        </v-flex>
    </v-layout>
    <delete-dialog 
        @close-dialog="dialog = false" 
        v-bind:dialog.sync="dialog" 
        :items="toDelete" 
        source="/api/task/clinicas-interna/delete/" />

    <snacklocal v-bind:snackbar.sync="snackbar" :message="message" />

</div>
</template>

<script>
import DeleteDialog from '../taskDialog/TaskDialogDelete';
import server from '../../server';
import snacklocal from '../SnackBarLocal';

export default {
    name: 'ListClinicaInterna',
    props: ['externos'],
    components: {
        DeleteDialog,
        snacklocal
    },
    data() {
        return {
            dialog: false,
            toDelete: {},
            snackbar: false,
            message: '',
            server: server
        }
    },
    methods: {
        deleteAction(item) {
            this.dialog = true;
            this.toDelete = item;
        },
        // Necesario para DeleteDialog component
        deleteMessage() {
            this.snackbar = true;
            this.message = "El registro fue borrado exitosamente";
            this.setTaskDetail(this.$route.params.id);
        },
        setTaskDetail(id) {
            this.$store.dispatch('setTaskClinicaInternasDetail', id);
        }
    }

}
</script>

<style>

</style>
